package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.OneClickTakeoff;

/**
 * 一键起飞Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public interface OneClickTakeoffMapper 
{
    /**
     * 查询一键起飞
     * 
     * @param id 一键起飞主键
     * @return 一键起飞
     */
    public OneClickTakeoff selectOneClickTakeoffById(Long id);

    /**
     * 查询一键起飞列表
     * 
     * @param oneClickTakeoff 一键起飞
     * @return 一键起飞集合
     */
    public List<OneClickTakeoff> selectOneClickTakeoffList(OneClickTakeoff oneClickTakeoff);

    /**
     * 新增一键起飞
     * 
     * @param oneClickTakeoff 一键起飞
     * @return 结果
     */
    public int insertOneClickTakeoff(OneClickTakeoff oneClickTakeoff);

    /**
     * 修改一键起飞
     * 
     * @param oneClickTakeoff 一键起飞
     * @return 结果
     */
    public int updateOneClickTakeoff(OneClickTakeoff oneClickTakeoff);

    /**
     * 删除一键起飞
     * 
     * @param id 一键起飞主键
     * @return 结果
     */
    public int deleteOneClickTakeoffById(Long id);

    /**
     * 批量删除一键起飞
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOneClickTakeoffByIds(Long[] ids);
}
